Subject: Re: git bisect bad @

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Jan 2022 10:40:13 -0800

René Scharfe <[email-masked]> writes:

> The implementation language of git bisect is not immediately relevant
> here, but that the shell is used to call the user-supplied bisect run
> script is.  If we'd run it directly (without RUN_USING_SHELL) we could
> distinguish error code 126/127 from execution errors.

Yes, but it means that we'd need to reimplement command line
splitting, environment and variable substitutions, etc. in a
way that people expect from executing their run "script" with
a shell.

I'd rather not to see us go there.

Thanks.